( function() {
    tinymce.PluginManager.add( 'namasha_shortcode', function( editor, url ) {
        // Add a button that opens a window
        editor.addButton( 'namasha_shortcode', {

            title: namasha_video_add,
            image: url + "/namasha-logo.png",
            size: "large",
            onclick: function() {
                // Open window
                editor.windowManager.open( {
                    title: namasha_video_add,
                    body: [
                        {
                            type: 'container',
                            name: 'container',
                            label: '',
                            html: "<span style='font-size: 12px;'>" + namasha_video_id_insert + "<br>" + namasha_video_id_desc + "</span>"
                        },

                        {
                            type: 'checkbox',
                            name: 'responsive',
                            label: namasha_video_rsponseive,
                            classes:'namasha_check_responsive',
                            onChange:function () {
                                jQuery('.mce-namahs_text_box').removeClass('show');
                            }
                        },
                        {
                            type: 'checkbox',
                            name: 'size',
                            label: namasha_video_size,
                            classes:'namasha_check',
                            onChange:function () {
                                jQuery('.mce-namahs_text_box').toggleClass('show');
                                },
                        },
                        {
                            type: 'textbox',
                            name: 'namasha',
                            label: namasha_video_id
                        },
                        {
                            type: 'container',
                            name: 'container',
                            label: '',
                            html: "<br><span style='font-size: 12px;'>" + namasha_video_width_desc + "</span><br><span style='font-size: 12px;'>" + namasha_video_width_dft + "</span>"
                        },
                        {
                            type: 'textbox',
                            name: 'width',
                            placeholder:'عرض',
                            classes:'namahs_text_box'
                        },
                        {
                            type: 'textbox',
                            name: 'height',
                            placeholder:'ارتفاع',
                            classes:'namahs_text_box',
                            style:{display:"none"}
                        }
                    ],
                    onsubmit: function( e ) {
                        if (e.data.responsive && e.data.size) {
                            alert('لطفا یک گزینه را انتخاب کنید.');
                            return;
                        }
                        if ( e.data.namasha ) {
                            if (e.data.size &&  e.data.width && jQuery.isNumeric(e.data.width) ) {
                                editor.insertContent( '[namasha id="' + e.data.namasha + '" width="' + e.data.width + '" height="'+e.data.height+'"]' );
                            }else if(e.data.responsive ){
                                editor.insertContent( '[namasha id="' + e.data.namasha + '" responsive="' + e.data.responsive + '"]' );
                            }
                            else {
                                editor.insertContent( '[namasha id="' + e.data.namasha + '"]' );
                            }
                        }
                    }

                } );
            }

        } );

    } );

} )();
